REST/NAMESTORE: rework API
[oweals/gnunet.git] / src / reclaim / test_reclaim_issue.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_reclaim.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf `gnunet-config -c test_reclaim.conf -s PATHS -o GNUNET_HOME -f`
17
18 #  (1) PKEY1.user -> PKEY2.resu.user
19 #  (2) PKEY2.resu -> PKEY3
20 #  (3) PKEY3.user -> PKEY4
21
22
23 which timeout &> /dev/null && DO_TIMEOUT="timeout 30"
24
25 TEST_ATTR="test"
26 gnunet-arm -s -c test_reclaim.conf
27 #gnunet-arm -i rest -c test_reclaim.conf
28 gnunet-identity -C testego -c test_reclaim.conf
29 gnunet-identity -C rpego -c test_reclaim.conf
30 SUBJECT_KEY=$(gnunet-identity -d -c test_reclaim.conf | grep rpego | awk '{print $3}')
31 TEST_KEY=$(gnunet-identity -d -c test_reclaim.conf | grep testego | awk '{print $3}')
32 gnunet-reclaim -e testego -a email -V john@doe.gnu -c test_reclaim.conf > /dev/null 2>&1
33 gnunet-reclaim -e testego -a name -V John -c test_reclaim.conf > /dev/null 2>&1
34 #gnunet-reclaim -e testego -D -c test_reclaim.conf
35 gnunet-reclaim -e testego -i "email,name" -r $SUBJECT_KEY -c test_reclaim.conf > /dev/null 2>&1
36 if test $? != 0
37 then
38   echo "Failed."
39   exit 1
40 fi
41 #curl http://localhost:7776/reclaim/attributes/testego
42 gnunet-arm -e -c test_reclaim.conf